summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAchmad Fathoni2021-02-03 21:44:28 +0700
committerAchmad Fathoni2021-02-03 21:44:28 +0700
commitc5ae7961fb8a91069a130dfbe7b29020a690a6a3 (patch)
treee7d1932f66fda2879c6fac83dcdfad8c63aaf6ab
downloadaur-c5ae7961fb8a91069a130dfbe7b29020a690a6a3.tar.gz
1.0.0-1
-rw-r--r--.SRCINFO65
-rw-r--r--CMakeLists.patch10
-rw-r--r--PKGBUILD118
3 files changed, 193 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..95b9d3e48af
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,65 @@
+pkgbase = ros-noetic-cartographer-ros
+ pkgdesc = ROS - Cartographer is a system that provides real-time simultaneous localization and mapping (SLAM) in 2D and 3D across multiple platforms and sensor configurations.
+ pkgver = 1.0.0
+ pkgrel = 3
+ url = https://github.com/googlecartographer/cartographer_ros
+ arch = any
+ license = Apache 2.0
+ makedepends = cmake
+ makedepends = ros-build-tools
+ makedepends = google-glog
+ makedepends = protobuf
+ makedepends = gcc
+ makedepends = python-sphinx
+ makedepends = gflags
+ makedepends = gmock
+ makedepends = pcl
+ makedepends = ros-noetic-tf2-ros
+ makedepends = ros-noetic-cartographer-ros-msgs
+ makedepends = ros-noetic-roslib
+ makedepends = ros-noetic-eigen-conversions
+ makedepends = ros-noetic-tf2
+ makedepends = ros-noetic-pcl-conversions
+ makedepends = ros-noetic-message-runtime
+ makedepends = ros-noetic-cartographer
+ makedepends = ros-noetic-urdf
+ makedepends = ros-noetic-rosbag
+ makedepends = ros-noetic-sensor-msgs
+ makedepends = ros-noetic-geometry-msgs
+ makedepends = ros-noetic-robot-state-publisher
+ makedepends = ros-noetic-nav-msgs
+ makedepends = ros-noetic-roslaunch
+ makedepends = ros-noetic-visualization-msgs
+ makedepends = ros-noetic-tf2-eigen
+ makedepends = ros-noetic-catkin
+ makedepends = ros-noetic-std-msgs
+ makedepends = ros-noetic-roscpp
+ depends = google-glog
+ depends = gflags
+ depends = pcl
+ depends = ros-noetic-tf2-ros
+ depends = ros-noetic-cartographer-ros-msgs
+ depends = ros-noetic-roslib
+ depends = ros-noetic-eigen-conversions
+ depends = ros-noetic-tf2
+ depends = ros-noetic-pcl-conversions
+ depends = ros-noetic-message-runtime
+ depends = ros-noetic-cartographer
+ depends = ros-noetic-urdf
+ depends = ros-noetic-rosbag
+ depends = ros-noetic-sensor-msgs
+ depends = ros-noetic-geometry-msgs
+ depends = ros-noetic-robot-state-publisher
+ depends = ros-noetic-nav-msgs
+ depends = ros-noetic-roslaunch
+ depends = ros-noetic-visualization-msgs
+ depends = ros-noetic-tf2-eigen
+ depends = ros-noetic-std-msgs
+ depends = ros-noetic-roscpp
+ source = ros-noetic-cartographer-ros-1.0.0.tar.gz::https://github.com/ros-gbp/cartographer_ros-release/archive/release/melodic/cartographer_ros/1.0.0.tar.gz
+ source = CMakeLists.patch
+ sha256sums = 874e830d4b3e341cf7f53e66499f84e5f46bb9fda97cfe5d523cee6ec2ebd6d0
+ sha256sums = 18bafe6a7b7c0a894ce2055ace65925dedab29aab0183f56ba01cb8937013b86
+
+pkgname = ros-noetic-cartographer-ros
+
diff --git a/CMakeLists.patch b/CMakeLists.patch
new file mode 100644
index 00000000000..2f862f99280
--- /dev/null
+++ b/CMakeLists.patch
@@ -0,0 +1,10 @@
+--- CMakeLists.txt.old 2020-06-02 22:37:39.983352068 +0200
++++ CMakeLists.txt 2020-06-02 22:37:49.753352117 +0200
+@@ -15,6 +15,7 @@
+ cmake_minimum_required(VERSION 2.8.12) # Ships with Ubuntu 14.04 (Trusty)
+
+ project(cartographer_ros)
++add_compile_options(-std=c++14)
+
+ set(PACKAGE_DEPENDENCIES
+ cartographer_ros_msgs
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..91a34759bd1
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,118 @@
+# Script generated with create_pkgbuild.py
+# For more information: https://github.com/ros-melodic-arch/ros-build-tools-py3
+# Maintainer: Achmad Fathoni<fathoni.id(at)gmail.com>
+
+pkgdesc="ROS - Cartographer is a system that provides real-time simultaneous localization and mapping (SLAM) in 2D and 3D across multiple platforms and sensor configurations."
+url='https://github.com/googlecartographer/cartographer_ros'
+
+pkgname='ros-noetic-cartographer-ros'
+pkgver='1.0.0'
+arch=('any')
+pkgrel=3
+license=('Apache 2.0')
+
+ros_makedepends=(
+ ros-noetic-tf2-ros
+ ros-noetic-cartographer-ros-msgs
+ ros-noetic-roslib
+ ros-noetic-eigen-conversions
+ ros-noetic-tf2
+ ros-noetic-pcl-conversions
+ ros-noetic-message-runtime
+ ros-noetic-cartographer
+ ros-noetic-urdf
+ ros-noetic-rosbag
+ ros-noetic-sensor-msgs
+ ros-noetic-geometry-msgs
+ ros-noetic-robot-state-publisher
+ ros-noetic-nav-msgs
+ ros-noetic-roslaunch
+ ros-noetic-visualization-msgs
+ ros-noetic-tf2-eigen
+ ros-noetic-catkin
+ ros-noetic-std-msgs
+ ros-noetic-roscpp
+)
+
+makedepends=(
+ cmake
+ ros-build-tools
+ google-glog
+ protobuf
+ gcc
+ python-sphinx
+ gflags
+ gmock
+ pcl
+ ${ros_makedepends[@]}
+)
+
+ros_depends=(
+ ros-noetic-tf2-ros
+ ros-noetic-cartographer-ros-msgs
+ ros-noetic-roslib
+ ros-noetic-eigen-conversions
+ ros-noetic-tf2
+ ros-noetic-pcl-conversions
+ ros-noetic-message-runtime
+ ros-noetic-cartographer
+ ros-noetic-urdf
+ ros-noetic-rosbag
+ ros-noetic-sensor-msgs
+ ros-noetic-geometry-msgs
+ ros-noetic-robot-state-publisher
+ ros-noetic-nav-msgs
+ ros-noetic-roslaunch
+ ros-noetic-visualization-msgs
+ ros-noetic-tf2-eigen
+ ros-noetic-std-msgs
+ ros-noetic-roscpp
+)
+depends=(
+ google-glog
+ gflags
+ pcl
+ ${ros_depends[@]}
+)
+
+# Tarball version (faster download)
+_dir="cartographer_ros-release-release-melodic-cartographer_ros"
+source=("${pkgname}-${pkgver}.tar.gz"::"https://github.com/ros-gbp/cartographer_ros-release/archive/release/melodic/cartographer_ros/${pkgver}.tar.gz"
+CMakeLists.patch)
+sha256sums=('874e830d4b3e341cf7f53e66499f84e5f46bb9fda97cfe5d523cee6ec2ebd6d0'
+'18bafe6a7b7c0a894ce2055ace65925dedab29aab0183f56ba01cb8937013b86')
+
+prepare() {
+ cd "${srcdir}/${_dir}"
+ patch -uN CMakeLists.txt ../CMakeLists.patch || return 1
+}
+
+build() {
+ # Use ROS environment variables
+ source /usr/share/ros-build-tools/clear-ros-env.sh
+ [ -f /opt/ros/noetic/setup.bash ] && source /opt/ros/noetic/setup.bash
+
+ # Create build directory
+ [ -d ${srcdir}/build ] || mkdir ${srcdir}/build
+ cd ${srcdir}/build
+
+ rm -f ${srcdir}/${_dir}/cartographer/mapping/3d/hybrid_grid_test.cc
+
+ # Build project
+ cmake ${srcdir}/${_dir} \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCATKIN_ENABLE_TESTING=0 \
+ -DCATKIN_BUILD_BINARY_PACKAGE=ON \
+ -DCMAKE_INSTALL_PREFIX=/opt/ros/noetic \
+ -DPYTHON_EXECUTABLE=/usr/bin/python3 \
+ -DPYTHON_INCLUDE_DIR=/usr/include/python3.9 \
+ -DPYTHON_LIBRARY=/usr/lib/libpython3.9.so \
+ -DPYTHON_BASENAME=-python3.9 \
+ -DSETUPTOOLS_DEB_LAYOUT=OFF
+ make
+}
+
+package() {
+ cd "${srcdir}/build"
+ make DESTDIR="${pkgdir}/" install
+}